#include "ginyencapsulador.h"
#include "ui_ginyencapsulador.h"

GinyEncapsulador::GinyEncapsulador(QWidget *parent)
    : QWidget(parent)
    , ui(new Ui::GinyEncapsulador)
{
    ui->setupUi(this);
    gSlL = new GinySliderLCD;
    gEt = new GinyEtiqueta;

    ui->distEsq->addWidget(gSlL);
    ui->distDreta->addWidget(gEt);

    connect(gSlL,SIGNAL(vSenyalSliderLCD(int)),
            gEt,SLOT(vSetEtiqueta(int)));
    connect(gSlL,SIGNAL(vSenyalSliderLCD(int)),
            this,SLOT(slotActualitzaValor(int)));

    nVal = VALOR_INICIAL;
    gSlL->vSlotSetSliderLCD(nVal);
    gEt->vSetEtiqueta(nVal);
}

GinyEncapsulador::~GinyEncapsulador()
{
    delete ui;
}


void GinyEncapsulador::on_btSurt_clicked()
{
    close();
}

void GinyEncapsulador::on_cbEt_clicked(bool checked)
{
    if(checked){
        gEt = new GinyEtiqueta;
        gEt->vSetEtiqueta(nVal);
        ui->distDreta->addWidget(gEt);
        connect(gSlL,SIGNAL(vSenyalSliderLCD(int)),
                gEt,SLOT(vSetEtiqueta(int)));
    }else{
        disconnect(gSlL,SIGNAL(vSenyalSliderLCD(int)),
                   gEt,SLOT(vSetEtiqueta(int)));
        delete gEt;
    }
}

void GinyEncapsulador::slotActualitzaValor(int n){
    nVal = n;
}
